<?php

require_once('op5/auth/Auth.php');
/**
 * LDAP authentication backend
 *
 * @license   GPL 2 (http://www.gnu.org/licenses/gpl.html)
 * @author    Andreas Gohr <andi@splitbrain.org>
 * @author    Chris Smith <chris@jalakaic.co.uk>
 */

class auth_op5 extends auth_basic {
    var $op5auth = null;

    function auth_op5(){
        $this->op5auth = Op5Auth::instance();
        $this->cando['external']     = true;
        $this->cando['logout']       = false;
        $this->cando['acl_external'] = true;
    }

    function trustExternal($user,$pass,$sticky=false){
        global $USERINFO;
        $user = $this->op5auth->get_user();
        $USERINFO['name'] = $user->realname;
        $USERINFO['mail'] = $user->mail;
        $USERINFO['grps'] = $user->groups;
        $_SERVER['REMOTE_USER'] = $user->username;
        return $this->op5auth->logged_in();
    }

    function aclExternal( $id ) {
        $path = explode( ':', $id );
        
        if( count($path) >= 2 && $path[0] == 'hosts' ) {
            /* Host path */
            $host = $path[1];
            if( $this->op5auth->authorized_for_object( 'wiki', $host, 'host' ) ) {
                return AUTH_UPLOAD;
            }
        }
        
        return false;
    }
}

//Setup VIM: ex: et ts=4 :
